> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone Template

> Clone a template into a new editable row.

All fields except id/created_at/updated_at/is_seed are copied from the
source row; name is overridden by request body; created_by is set to
the cloning user.



## OpenAPI

````yaml /openapi.json post /prop/templates/{template_id}/clone
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /prop/templates/{template_id}/clone:
    post:
      tags:
        - Prop trading
      summary: Clone Template
      description: |-
        Clone a template into a new editable row.

        All fields except id/created_at/updated_at/is_seed are copied from the
        source row; name is overridden by request body; created_by is set to
        the cloning user.
      operationId: clone_template_prop_templates__template_id__clone_post
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Template Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CloneTemplateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: >-
                  Response Clone Template Prop Templates  Template Id  Clone
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    CloneTemplateRequest:
      properties:
        name:
          type: string
          maxLength: 120
          minLength: 1
          title: Name
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Group Id
      type: object
      required:
        - name
      title: CloneTemplateRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````